MODULE YOEGWWMS

USE PARKIND1  ,ONLY : JPIM     ,JPRB

IMPLICIT NONE

SAVE  

! YOEGWWMS --  parameters/switches for the Warner McIntyre GW parameterization

!-----------------------------------------------------------------

LOGICAL            :: LOZPR     !If .TRUE. then enhancement of mom. flux over tropics
INTEGER(KIND=JPIM) :: NLAUNCH   !launch height of gravity wave spectrum (Pa)
INTEGER(KIND=JPIM) :: NSLOPE    !slope at small-m end of spectrum
INTEGER(KIND=JPIM) :: NGAUSS    !if LOZPR=TRUE and GGAUSS=2 then gaussian distribution of GFLUXLAUN based on GGAUSSA and GGAUSSB
                                !if LOZPR=TRUE and GGAUSS=1 then FLUXLAUN=GCOEFF*PPRECIP
REAL(KIND=JPRB)    :: GFLUXLAUN !total launch momentum flux in each azimuth
REAL(KIND=JPRB)    :: GCSTAR    !C* (see McLandress and Scinocca 2005)
REAL (KIND=JPRB)   :: GPTWO     !2*p where p is the exponent of omega for the expression of the launch energy density
REAL(KIND=JPRB)    :: GTPHYGWWMS!Time frequency (s) of call of scheme

REAL(KIND=JPRB)    :: GGAUSSA   !gaussian distribution half-width (used if GGAUSS=1)
REAL(KIND=JPRB)    :: GGAUSSB   !height of gaussian distribution (ie amplification factor)
REAL(KIND=JPRB)    :: GCOEFF    !if GGAUSS=1 then FLUXLAUN=GCOEFF*PPRECIP

END MODULE YOEGWWMS
